<?php

  ini_set('display_errors', 1);
  ini_set('display_startup_errors', 1);
  error_reporting(E_ALL);

  require('../../vendor/autoload.php');

  define("RESOURCES_PATH",__DIR__.DIRECTORY_SEPARATOR.'resources');
  define("VIEWS_PATH",__DIR__.DIRECTORY_SEPARATOR.'views');
  define("TEMP_PATH",__DIR__.DIRECTORY_SEPARATOR.'libs'.DIRECTORY_SEPARATOR.'pdflib'.DIRECTORY_SEPARATOR.'lib'.DIRECTORY_SEPARATOR.'temp');
  
  use Service\PdfGenerator;
  use Dompdf\Helpers;
  /**/

  $pdfname = "brakii-cv";

  $pdf = PdfGenerator::getInstance(
    array(
      "rootPath" => __DIR__.DIRECTORY_SEPARATOR.'libs'.DIRECTORY_SEPARATOR.'pdflib',
      "set_time_limit" => 300,
      //"attachment_separator" => null,
      "setPaper" => array(
        'A4',
        'portrait'
      )
    )
  );
 

  $attachments = [
    RESOURCES_PATH.DIRECTORY_SEPARATOR.'pdf232'.DIRECTORY_SEPARATOR.'__p1.pdf',
    RESOURCES_PATH.DIRECTORY_SEPARATOR.'pdf'.DIRECTORY_SEPARATOR.'p2.pdf',
    RESOURCES_PATH.DIRECTORY_SEPARATOR.'img'.DIRECTORY_SEPARATOR.'brakii-logo.png',
  ];

  $data = array(
    "name" => "John Martin Oliver Doe",
    "years" => "23",
    "photo" => 'https://placeimg.com/150/150/animals',
    "address" => "Braga",
    // persoal data
    "personalData" => array(
      "dateBirth" => "23 de junho de 1994",
      "aboutMe" => "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem provident expedita explicabo aliquam, ea quisquam unde doloribus cumque consectetur dignissimos impedit nisi quas tempora modi architecto quasi beatae eaque. Perferendis!",
      "email" => "about-me@email.com",
      "mobilePhone" => "912345678"
    ),
    // qualifications data
    "qualificationsData" => array(
      "formations" => array(
        "item" => array(
          "title" => "Doutoramento em Ciências do Disporto",
          "level" => "Nível 7 QRQ",
          "subtitle" => "Faculdade de Desporto - Universidade do Porto, Porto (Portugal)",
          "dateFrom" => "10 Setembro 2012",
          "dateTo" => "06 junho 2015",
          "description" => "<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi amet laudantium maiores reprehenderit eaque. Eligendi laudantium numquam, quam, est ad quae quod itaque quibusdam ullam, impedit consectetur aliquam non ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Delectus harum sunt, exercitationem libero sed tempora laboriosam accusantium ex velit. Nemo numquam, odit porro necessitatibus minima ipsum beatae magnam maxime doloremque!</p>",
          "attachments" => array(
            "Lorem ipsum dolor sit amet",
            "Lorem ipsum dolor sit amet",
            "Lorem ipsum dolor sit amet"
          )
        ),
        "item" => array(
          "title" => "Doutoramento em Ciências do Disporto",
          "level" => "Nível 7 QRQ",
          "subtitle" => "Faculdade de Desporto - Universidade do Porto, Porto (Portugal)",
          "dateFrom" => "10 Setembro 2012",
          "dateTo" => "06 junho 2015",
          "description" => "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi amet laudantium maiores reprehenderit eaque. Eligendi laudantium numquam, quam, est ad quae quod itaque quibusdam ullam, impedit consectetur aliquam non ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Delectus harum sunt, exercitationem libero sed tempora laboriosam accusantium ex velit. Nemo numquam, odit porro necessitatibus minima ipsum beatae magnam maxime doloremque!",
          "attachments" => array(
            "Lorem ipsum dolor sit amet",
            "Lorem ipsum dolor sit amet",
            "Lorem ipsum dolor sit amet"
          )
        )
      ),
      "professionalExperience" => array(
        "item" => array(
          "title" => "Doutoramento em Ciências do Disporto",
          "level" => "Nível 7 QRQ",
          "subtitle" => "Faculdade de Desporto - Universidade do Porto, Porto (Portugal)",
          "dateFrom" => "10 Setembro 2012",
          "dateTo" => "06 junho 2015",
          "description" => "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eligendi amet laudantium maiores reprehenderit eaque. Eligendi laudantium numquam, quam, est ad quae quod itaque quibusdam ullam, impedit consectetur aliquam non ut. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Delectus harum sunt, exercitationem libero sed tempora laboriosam accusantium ex velit. Nemo numquam, odit porro necessitatibus minima ipsum beatae magnam maxime doloremque!",
          "attachments" => array(
            "Lorem ipsum dolor sit amet",
            "Lorem ipsum dolor sit amet",
            "Lorem ipsum dolor sit amet"
          )
        )
      ),
      "certifications" => array(
        "item" => array(
          "title" => "Doutoramento em Ciências do Disporto",
          "level" => "Nível 7 QRQ",
          "subtitle" => "Faculdade de Desporto - Universidade do Porto, Porto (Portugal)",
          "dateFrom" => "10 Setembro 2012",
          "dateTo" => "06 junho 2015",
          "attachments" => array(
            "Lorem ipsum dolor sit amet",
            "Lorem ipsum dolor sit amet",
            "Lorem ipsum dolor sit amet"
          )
        )
      )
    ),
    "hasAttachments" => true,
    "resources" => RESOURCES_PATH,
    "fonts" => RESOURCES_PATH.DIRECTORY_SEPARATOR.'fonts',
    "boilerplate" => file_get_contents(RESOURCES_PATH.'/css/boilerplate/boilerplate.css')
  );

  $views = array(
    "inlineStylesView" => VIEWS_PATH.DIRECTORY_SEPARATOR.'styles.php',
    "header" => VIEWS_PATH.DIRECTORY_SEPARATOR.'header.php',
    "footer" => VIEWS_PATH.DIRECTORY_SEPARATOR.'footer.php',
    "index" => VIEWS_PATH.DIRECTORY_SEPARATOR.'index.php',
  );

  $pdf->generate($data,$views);


  //$hash = base64_encode($pdfname).'.pdf';

  //generate pdf 1 
  try{
    $file = $pdf->DompdfInstance()->output();
  }catch(Exception $e){
    return;
  }
  

  if( count($attachments) > 0 ){
    //
    //generate with attachments
    //add raw file pdf
    
    //faster way
    $file = $pdf->mergeAttachmentsToRawPdf($file,$attachments);

    //add path file pdf
    //file_put_contents(TEMP_PATH.DIRECTORY_SEPARATOR.$hash, $file);
    //$file = $pdf->mergeAttachmentsToPdf(TEMP_PATH.DIRECTORY_SEPARATOR.$hash,$attachments);
    //$deleted = unlink(TEMP_PATH.DIRECTORY_SEPARATOR.$hash);  
  }




  header("Cache-Control: private");
  header("Content-Type: application/pdf");
  echo $file;

