<?php ob_start();?>

<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <title>Curriculum Brakii - <?php echo $name; ?></title>

  <?php echo $inlineStylesView; ?>
  <link rel="stylesheet" href="<?php echo $resources; ?>/css/index.css">
</head>
<body >
  <!-- header -->
  <?php echo $header; ?>
  <!-- footer  -->
  <?php echo $footer; ?>
  <!-- content -->
  <div id="brakii-email-content">
    <div class="content-header">
      <!-- -->
      <div class="header-brakii-background"></div>
      <div class="grid-container">
        <div class="grid header-brakii-content">    
          <div class="grid-cell grid-6">
            <div class="header-brakii-logo">
              <img src="<?php echo $resources; ?>/img/brakii-logo-white.png" class="img-responsive">    
            </div>
          </div>
          <div class="grid-cell grid-6">
            <div class="header-brakii-name">
              <p>Curriculum Instructor</p>
            </div>
          </div>
        </div>
      </div>
      <!-- -->
      <div class="grid-container header-brakii-line">
        <div class="grid">
          <div class="grid-cell grid-12">
            <hr>
          </div>
        </div>
      </div>
      <!-- -->
      <div class="grid-container header-brakii-person">
        <div class="grid">
          <div class="grid-cell grid-3">
           <style>
            .person-photo {
              background-image: url(<?php echo $photo; ?>);
            }
          </style>
          <div class="person-photo"></div>
          </div>
          <div class="grid-cell grid-9">
            <div class="person-info">
              <h2><?php echo $name; ?></h2>
              <h3><?php echo $years; ?> anos, <?php echo $address; ?></h3>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- Content -->
    <div class="content-container">
      <div class="grid-container content-brakii-personal">
        <div class="grid">
          <div class="grid-cell grid-1 personal-left">
            <i class="icon-brakii-person"></i>      
          </div>
          <div class="grid-cell grid-10 personal-right">
            <h1 class="primary-title">Dados Pessoais</h1>
            <h2>Data de Nascimento</h2>
            <p><?php echo $personalData["dateBirth"]; ?></p>
            <h2>Sobre mim</h2>
            <p><?php echo $personalData["aboutMe"]; ?></p>
            <div class="grid">
              <div class="grid-cell grid-6">
                <h2>E-mail</h2>
                <p><?php echo $personalData["email"]; ?></p>
              </div>
              <div class="grid-cell grid-6">
                <h2>Telemóvel</h2>
                <p><?php echo $personalData["mobilePhone"]; ?></p>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="grid-container content-brakii-qualifications">
        <div class="grid">
          <div class="grid-cell grid-1 personal-left">
            <i class="icon-brakii-file"></i>      
          </div>
          <!-- qualifications -->
          <?php if(isset($qualificationsData)) { ?>
          <div class="grid-cell grid-10 personal-right">
            <h1 class="primary-title">Habilitações</h1>
            <!-- formations -->
            <?php if(isset($qualificationsData["formations"]) && !empty($qualificationsData["formations"])) { ?>
            <div class="section-container person-formations">
              <h2 class="section-title">Formação</h2>
              <?php foreach ($qualificationsData["formations"] as $key => $f) { ?>
                <div class="section-item">
                  <div class="section-item-header">
                    <h3 class="section-item-title"><?php echo $f["title"]; ?> <?php if(isset($f["level"])) { ?> <span>Nível 7 QRQ</span> <?php } ?></h3>
                    <h4 class="section-item-subtitle"><?php echo $f["subtitle"]; ?></h4>
                    <span class="section-item-date"><?php echo $f["dateFrom"]; ?> - <?php echo $f["dateTo"]; ?></span>
                  </div>
                  <div class="section-item-body">
                    <?php echo $f["description"]; ?>
                  </div>

                  <?php if(isset($f["attachments"]) && !empty($f["attachments"])) ?>
                  <div class="section-item-attachments">
                    <h1 class="attachments-title">
                      <i class="icon-brakii-clip"></i>
                      Anexos
                    </h1>
                    <div class="attachments-list">
                      <?php foreach ($f["attachments"] as $key => $a) {  ?>
                        <span><?php echo $a; ?> </span>
                      <?php } ?>
                    </div>
                  </div>
                </div> 
              <?php } ?>
            </div>
            <?php } ?>



            <!-- personal experience -->
            <?php if(isset($qualificationsData["professionalExperience"]) && !empty($qualificationsData["professionalExperience"])) { ?>
            <div class="section-container person-personal-experience">
              <h2 class="section-title">Experiência Profissional</h2>
              <?php foreach ($qualificationsData["professionalExperience"] as $key => $f) { ?>
                <div class="section-item">
                  <div class="section-item-header">
                    <h3 class="section-item-title"><?php echo $f["title"]; ?> <?php if(isset($f["level"])) { ?> <span>Nível 7 QRQ</span> <?php } ?></h3>
                    <h4 class="section-item-subtitle"><?php echo $f["subtitle"]; ?></h4>
                    <span class="section-item-date"><?php echo $f["dateFrom"]; ?> - <?php echo $f["dateTo"]; ?></span>
                  </div>
                  <div class="section-item-body">
                    <?php echo $f["description"]; ?>
                  </div>

                  <?php if(isset($f["attachments"]) && !empty($f["attachments"])) ?>
                  <div class="section-item-attachments">
                    <h1 class="attachments-title">
                      <i class="icon-brakii-clip"></i>
                      Anexos
                    </h1>
                    <div class="attachments-list">
                      <?php foreach ($f["attachments"] as $key => $a) {  ?>
                        <span><?php echo $a; ?> </span>
                      <?php } ?>
                    </div>
                  </div>
                </div> 
              <?php } ?> 
             
            </div>
            <?php } ?>
            <!-- cerifications -->
            <?php if(isset($qualificationsData["certifications"]) && !empty($qualificationsData["certifications"])) { ?>
            <div class="section-container person-personal-cerifications">
              <h2 class="section-title">Certificações</h2>
              <?php foreach ($qualificationsData["certifications"] as $key => $f) { ?>
                <div class="section-item">
                  <div class="section-item-header">
                    <h3 class="section-item-title"><?php echo $f["title"]; ?> <?php if(isset($f["level"])) { ?> <span>Nível 7 QRQ</span> <?php } ?></h3>
                    <h4 class="section-item-subtitle"><?php echo $f["subtitle"]; ?></h4>
                    <span class="section-item-date"><?php echo $f["dateFrom"]; ?> - <?php echo $f["dateTo"]; ?></span>
                  </div>
                  <?php if(isset($f["attachments"]) && !empty($f["attachments"])) ?>
                  <div class="section-item-attachments">
                    <h1 class="attachments-title">
                      <i class="icon-brakii-clip"></i>
                      Anexos
                    </h1>
                    <div class="attachments-list">
                      <?php foreach ($f["attachments"] as $key => $a) {  ?>
                        <span><?php echo $a; ?> </span>
                      <?php } ?>
                    </div>
                  </div>
                </div> 
              <?php } ?> 
            </div>
            <?php } ?>
          </div>
          <?php } ?>
        </div>
      </div>
      <?php if($hasAttachments == true){ ?>
        <div style="page-break-after: always;"></div>

        <div class="grid-container content-brakii-personal content-brakii-attachments">
          <div class="grid">
            <div class="grid-cell grid-1 personal-left">
              <i class="icon-brakii-clip"></i>      
            </div>
            <div class="grid-cell grid-10 personal-right">
              <h1 class="primary-title">Anexos</h1>
            </div>
        </div>
      <?php } ?>
    </div>
  </div>
</body>
</body>
</html> 