## Service PDF 

### Aviso 

todos os paths passados para este serviço tem de ser absolutos para a geração do pdf

### Construtor 

```bash
$generator = new PdfGenerator($options);

$generator = PdfGenerator::getInstance($options);
```
se usarmos o método estático getInstance() a instancia do gerador fica disponível em toda a app.

##### Opções do Construtor

Name | type | description
----|----|----
rootPath | string | caminho para a pasta que contem a pasta lib, onde o plugin poderá criar os ficheiros de cache
set_time_limit | number | tempo máximo em segundo que o gerador pode demorar a gerar o pdf
setPaper | array | array $size: 'letter', 'A4', See Dompdf\Adapter\CPDF::$PAPER_SIZES, string $orientation: 'portrait' or 'landscape'
attachment_separator | string | path para o pdf que separa os attachments ( se a key não exister assume o default) (neste caso se se pretender que não haja separador o valor deste campo deve ser string vazia)

### Methods

#### loadView

 carrega uma view html/php para o compilador do gerador (se a view tiver echo de variaveis estas só estarão disponíveis se forem disponibilizadas primeiro com o método [loadViewData](#loadViewData) )

```bash

 $generator->loadView(VIEWS_PATH."view.php");

```

#### loadViewData

disponibiliza um array onde as keys do mesmo são as variaveis disponíveis para as views

```bash

 $generator->loadViewData($data);

```
#### loadViews

 num cenário onde o pdf é composto por mais de uma view/ficheiro html/php estas podem ser disponibilizadas através deste método. as Keys do array serão variaveis disponiveis nas seguintes views, por isso a ordem do array deve refletir os imports dentro das views.

```bash

 $generator->loadViews(
   array(
    "inlineStylesView" => VIEWS_PATH.DIRECTORY_SEPARATOR.'styles.php',
    "header" => VIEWS_PATH.DIRECTORY_SEPARATOR.'header.php',
    "footer" => VIEWS_PATH.DIRECTORY_SEPARATOR.'footer.php',
    "indexView" => VIEWS_PATH.DIRECTORY_SEPARATOR.'index.php',
  );
 );

```
Neste exemplo a view index.php refere todas as anteriores no seu código.


#### generate

o método generate encapsula os métodos [loadViewData](#loadViewData) e [loadViews](#loadViews) no mesmo e ainda executa o render do pdf

```bash

 $generator->generate($data,$views);

```

#### DompdfInstance

retorna a instancia do DOMPDF

```bash

 $generator->DompdfInstance();

```

#### mergeAttachmentsToPdf

recebe o path para o ficheiros e os seu anexos e concatena tudo (com ou sem separador) e retorna uma string

```bash

 $content = $generator->mergeAttachmentsToPdf($file,$attachments);

```

#### mergeAttachmentsToRawPdf

recebe o conteudo do ficheiro e os paths dos seus anexos e concatena tudo (com ou sem separador) e retorna uma string

```bash

 $content $generator->mergeAttachmentsToRawPdf($file,$attachments);

```

---

#### Render do pdf

Se não usar o método [generate](#generate) antes de fazer output terá de executar o metodo render do dompdf

```bash

 $generator->DompdfInstance()->render();

```

---

###### Options to output content

* Content in html

```bash

$html = $generator->DompdfInstance()->outputHtml()

```

* Content open on browser 

```bash

$generator->DompdfInstance()->stream(
  "PDF NAME",
   array ("Attachment" => false)
);

```

* Content download

```bash

$file = $pdf->DompdfInstance()->output();
file_put_contents("final.pdf", $file);

```