<?php namespace Service\Contracts;

use Dompdf\Dompdf;

Interface Generator
{
    /**
     * loadViewData
     *
     * @param $data
     * @return mixed
     */
    public function loadViewData($data);
    /**
     * loadView
     *
     * @param $view
     * @return mixed
     */
    public function loadView($view);
    /**
     * loadViews
     *
     * @param $views
     * @return mixed
     */
    public function loadViews($views);

    /**
     * generate
     *
     * @param $data
     * @param $views
     * @return Generator
     */
    public function generate($data, $views);
    /**
     * DompdfInstance
     *
     * Return the Dompdf instance in use
     *
     * @return Dompdf
     */
    public function DompdfInstance();

}